## clalsadrv 1.0.0

=== Makefile ===
CPPFLAGS += -I. -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDFLAGS += -L/usr/local/lib
LDLIBS += -lclalsadrv -lclthreads -lrt


#CLALSADRV_LIBDIR = /usr/local/lib
#CLALSADRV_INCDIR = /usr/local/include
CLALSADRV_LIBDIR = /usr/lib
CLALSADRV_INCDIR = /usr/include
CLALSADRV_SO = libclalsadrv.so
CLALSADRV_MAJ = $(CLALSADRV_SO).1
CLALSADRV_MIN = $(CLALSADRV_MAJ).0.0
CLALSADRV_DEP = -lasound
CLALSADRV_O = clalsadrv.o
CLALSADRV_H = clalsadrv.h


$(CLALSADRV_MIN): $(CLALSADRV_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLALSADRV_MAJ) -o $(CLALSADRV_MIN) $(CLALSADRV_O) $(CLALSADRV_DEP)


install:	$(CLALSADRV_MIN)
	cp -f $(CLALSADRV_H) $(CLALSADRV_INCDIR)
	cp -f $(CLALSADRV_MIN) $(CLALSADRV_LIBDIR)
	/sbin/ldconfig -n $(CLALSADRV_LIBDIR)
	ln -sf $(CLALSADRV_MIN) $(CLALSADRV_LIBDIR)/$(CLALSADRV_SO)


loopback:	loopback.cc
	gcc -o loopback loopback.cc $(LDFLAGS) $(LDLIBS)

clean:
	/bin/rm -f *.o *.a *.so.* *~ loopback


DIR := $(shell basename `pwd`)

archive:	clean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar
