## clalsadrv 1.0.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 CLALSADRV_INCDIR = /usr/include
 CLALSADRV_SO = libclalsadrv.so
 CLALSADRV_MAJ = $(CLALSADRV_SO).1
-CLALSADRV_MIN = $(CLALSADRV_MAJ).0.0
+CLALSADRV_MIN = $(CLALSADRV_MAJ).0.1
 CLALSADRV_DEP = -lasound
 CLALSADRV_O = clalsadrv.o
 CLALSADRV_H = clalsadrv.h
