## clalsadrv 2.0.0

=== apps/Makefile ===
#  Copyright (C) 2003-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O2 -Wall -MMD -MP -DVERSION=\"$(VERSION)\"


all:	alsa-loopback alsa-latency


LOOPBACK_O =	loopback.o
alsa-loopback:	LDLIBS += -lclthreads -lclalsadrv -lpthread -lrt
alsa-loopback:	$(LOOPBACK_O)
	g++ $(LDFLAGS) -o $@ $(LOOPBACK_O) $(LDLIBS)
$(LOOPBACK_O):
-include $(LOOPBACK_O:%.o=%.d)


LATENCY_O =	latency.o
alsa-latency:	LDLIBS += -lclthreads -lclalsadrv -lpthread -lrt
alsa-latency:	$(LATENCY_O)
	g++ $(LDFLAGS) -o $@ $(LATENCY_O) $(LDLIBS)
$(LATENCY_O):
-include $(LATENCY_O:%.o=%.d)


install:	all
	install -Dm 755 alsa-loopback $(DESTDIR)$(PREFIX)/bin/alsa-loopback
	install -Dm 755 alsa-latency  $(DESTDIR)$(PREFIX)/bin/alsa-latency


clean:
	/bin/rm -f *~ *.o *.a *.d *.so alsa-loopback alsa-latency
