=== debian/control ===
Source: clalsadrv
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html
Vcs-Git: https://salsa.debian.org/multimedia-team/clalsadrv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/clalsadrv
Standards-Version: 4.7.3

Package: libclalsadrv-dev
Section: libdevel
Architecture: all
Depends:
 libasound2-dev,
 libclalsadrv2t64 (<< ${source:Upstream-Version}+1~),
 libclalsadrv2t64 (>= ${source:Version}),
 ${misc:Depends},
Description: ALSA driver C++ access library (development files)
 C++ wrapper around the ALSA API.
 .
 This package includes the development tools.

Package: libclalsadrv2t64
Provides:
 ${t64:Provides},
Breaks:
 libclalsadrv2 (<< ${source:Version}),
Conflicts:
 libclalsadrv,
Replaces:
 libclalsadrv,
 libclalsadrv2,
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ALSA driver C++ access library
 C++ wrapper around the ALSA API.
 .
 This package includes the shared library object.
