=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedir=libs

override_dh_installexamples:
	dh_installexamples --sourcedir=.

override_dh_missing:
	dh_missing --sourcedir=.
